#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/class/opn.rb'
# =========================================================================== #
require 'environment_information/class/colours.rb'
require 'environment_information/constants/namespace.rb'

module EnvironmentInformation

class EnvironmentInformation

  begin
    require 'opn'
  rescue LoadError; end

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn
    Opn.opn({
      namespace:   NAMESPACE,
      use_colours: use_colours?
    }) if Object.const_defined? :Opn
  end; alias opn opnn # === opn

end; end