#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/constants/regex.rb'
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation::ARRAY_VERSION
  # ========================================================================= #
  ARRAY_VERSION = [
    /^-?-?version\??$/i
  ]

  # ========================================================================= #
  # === EnvironmentInformation::ARRAY_COMPARE_PROGRAM_VERSIONS
  # ========================================================================= #
  ARRAY_COMPARE_PROGRAM_VERSIONS = [
    /^-?-?compare(-|_)?to(-|_)?program(-|_)?versions$/i,
    /^-?-?compare(-|_)?program(-|_)?versions$/i,
    /^-?-?compare(-|_)?programs$/i,
    /^-?-?compare$/i,
    /^-?-?compare(-|_)?version$/i
  ]

end