#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/requires/require_the_toplevel_methods.rb'
# =========================================================================== #
require 'environment_information/project/project.rb'

module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.require_the_toplevel_methods
  # ========================================================================= #
  def self.require_the_toplevel_methods
    Dir["#{PROJECT_BASE_DIRECTORY}toplevel_methods/*.rb"].each {|this_file|
      require "environment_information/toplevel_methods/#{File.basename(this_file)}"
    }
  end

  require_the_toplevel_methods # And require them at once.

end