#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This small .cgi file just demonstrates how to use the information
# from the EnvironmentInformation project in a .cgi page.
# =========================================================================== #
# http://localhost/DATA/PROGRAMMING_LANGUAGES/RUBY/src/environment_information/lib/environment_information/www/cyberweb_interface.cgi
# =========================================================================== #
require 'cyberweb/autoinclude'

use_this_title = 'Cyberweb interface to EnvironmentInformation'
w {
css_style :template1
title use_this_title
fav 'PC/RUBY/RUBY_FAVICON.png'
body_css_class 's12px padt4px marpad2px VERDANAs'
body_css_style 'background-color: #d3d2d1;'
font_size 'def'
english_trinity
}

doc {
  h1 sg(:buero_klammer, '','drag_buero_klammer')+
     use_this_title
  # ========================================================================= #
  # Tap into showing the information from the EnvironmentInformation project.
  # This is actually built into Cyberweb since as of February 2020.
  # ========================================================================= #
  Cyberweb.display_information_about_the_environment
}