#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/requires/require_asciitable.rb'
# =========================================================================== #
begin
  class EnvironmentInformation::EnvironmentInformation; end # Define a prototype here.
  require 'ascii_paradise/requires/require_asciitable_namespace.rb'
  EnvironmentInformation::ASCIITABLE_IS_AVAILABLE = true
rescue LoadError
  # puts 'asciitable is not available, consider installing it.'
  # puts 'We will, however, continue, as it is not a mandatory package.'
  EnvironmentInformation::ASCIITABLE_IS_AVAILABLE = false
end