#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/toplevel_methods/write_what_into.rb'
# EnvironmentInformation.write_what_into
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.write_what_into
  # ========================================================================= #
  def self.write_what_into(what, into)
    what = what.join("\n") if what.is_a? Array
    File.open(into, 'w+') {|entry| entry.write(what) }
  end

end

if __FILE__ == $PROGRAM_NAME
  EnvironmentInformation.write_what_into(ARGV, 'test_this.md')
end